ProcedureParameterBinding (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.access.translator, class: ProcedureParameterBinding

# Class ProcedureParameterBinding

java.lang.Object
org.apache.cayenne.access.translator.ParameterBinding
org.apache.cayenne.access.translator.ProcedureParameterBinding

public class ProcedureParameterBinding extends ParameterBinding
Describes a PreparedStatement parameter binding mapped to a DbAttribute.

Since:
  4.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcedureParameterBinding(ProcedureParameter procedureParameter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getJdbcType()`
  `ProcedureParameter`
  `getParameter()`
  `int`
  `getScale()`

  ### Methods inherited from class ParameterBinding

  `exclude, getExtendedType, getStatementPosition, getValue, include, isExcluded, setExtendedType, setJdbcType, setScale, setStatementPosition, setValue`
  Modifier and Type
  Method
  Description
  `void`
  `exclude()`
  Marks the binding object as excluded for the current iteration.
  `ExtendedType`
  `getExtendedType()`
  `int`
  `getStatementPosition()`
  `Object`
  `getValue()`
  `void`
  `include(int statementPosition, Object value, ExtendedType extendedType)`
  Sets the value of the binding and initializes statement position var, thus "including" this binding in the current iteration.
  `boolean`
  `isExcluded()`
  `void`
  `setExtendedType(ExtendedType extendedType)`
  `void`
  `setJdbcType(Integer type)`
  `void`
  `setScale(int scale)`
  `void`
  `setStatementPosition(int statementPosition)`
  `void`
  `setValue(Object value)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProcedureParameterBinding

    public ProcedureParameterBinding(ProcedureParameter procedureParameter)

- ## Method Details

  - ### getParameter

    public ProcedureParameter getParameter()

  - ### getJdbcType

    public Integer getJdbcType()
    Overrides:
      `getJdbcType` in class `ParameterBinding`

  - ### getScale

    public int getScale()
    Overrides:
      `getScale` in class `ParameterBinding`